#
# spec file for package oo7
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           oo7
Version:        0.4.0
Release:        1.3
Summary:        James Bond went on a new mission as a Secret Service provider
License:        MIT
URL:            https://github.com/bilelmoussaoui/oo7
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  rust >= 1.80

%description
A CLI application to interact with the system keyring. Replacement of the secret-tool utility.

%prep
%autosetup -a1

%build
%{cargo_build}

%install
install -d %{buildroot}%{_bindir}
install -Dpm0755 %{_builddir}/%{name}-%{version}/target/release/%{name}-{cli,portal} %{buildroot}%{_bindir}/

%check
%{cargo_test} -- --skip dbus::collection::tests::create_plain_item \
  --skip dbus::service::tests::create_collection \
  --skip dbus::collection::tests::create_encrypted_item

%files
%license LICENSE
%doc README.md
%{_bindir}/oo7-cli
%{_bindir}/oo7-portal

%changelog
* Sun Feb 16 2025 Richard Rahl <rrahl0@opensuse.org>
- update to 0.4.0:
  * portal: Support migration from legacy keyring format
  * service: Add signals for collection create/delete/change
  * client: Add a generic Secret type
  * client: Don't panic if a cryptography operation fails
- disable some tests, as they need dbus
* Sat Jun 22 2024 Richard Rahl <rrahl0@disroot.org>
- update to 0.3.3:
  * client/item: Force tuple usage when serializing
  * client: Use async UnixStream
* Fri May 17 2024 Richard Rahl <rrahl0@disroot.org>
- update to 0.3.2:
  * client: Fix compile issue with tracing feature
  * client: Do not create features for optional deps already behind a feature
- update to 0.3.1:
  * portal: Support migration from legacy keyring format
  * portal: Add rekeying support for oo7::portal::Keyring
  * service: Use correct signal name for CollectionDeleted
  * service: Add signals for collection create/delete/change
  * collection: Add path to public api
* Sun Feb 25 2024 Richard Rahl <rrahl0@proton.me>
- initial packaging
